package ai

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"

	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/ai"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
)

func TrainingTaskStatHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := ai.NewTrainingTaskStatLogic(r.Context(), svcCtx)
		resp, err := l.TrainingTaskStat()
		result.HttpResult(r, w, resp, err)
	}
}
